"""Controlla una casella postale prelevando i messaggi e li intepreta come
messaggi del servizio servarfax:

http://www.codemaonline.com/index.php/fax-virtuale.html

Suppone che ci sia::

  settings.FAX_POP_HOST
  settings.FAX_POP_USER
  settings.FAX_POP_PASS
  settings.FAX_POP_KEY
  settings.FAX_POP_CERT
  settings.FAX_POP_SSL

"""

import poplib
import email

from django import settings

def fetch_messages():

    """Ritorna una lista di tutti i messaggi presenti nella casella
    email.message.Message
    """

    if settings.FAX_POP_SSL:
        M = poplib.POP3_SSL(settings.FAX_POP_HOST, 995, settings.FAX_POP_KEY,
                            settings.FAX_POP_CERT)
    else:
        M = poplib.POP3_SSL(settings.FAX_POP_HOST)
        
    M.user(settings.FAX_POP_USER)
    M.pass_(settings.FAX_POP_PASS)

    
    
    
